Package be.ehealth.technicalconnector.exception

# Class SoaErrorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
be.ehealth.technicalconnector.exception.ConnectorException
be.ehealth.technicalconnector.exception.TechnicalConnectorException
be.ehealth.technicalconnector.exception.SoaErrorException

All Implemented Interfaces:
  `Serializable`

public class SoaErrorException extends TechnicalConnectorException
exception which contains result of soa error from webservice. allows for easy retrieval of error messages

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoaErrorException(String errorCode, ResponseType responseType)`
  `SoaErrorException(String errorCode, ResponseType responseType)`
  `SoaErrorException(String errorCode, ResponseType responseType)`
  `SoaErrorException(String errorCode, ErrorType errorType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorCode()`
  Gets the fault code.
  `ErrorType`
  `getErrorType()`
  `ResponseType`
  `getResponseType()`
  `ResponseType`
  `getResponseTypeV1_0()`
  `ResponseType`
  `getResponseTypeV2()`

  ### Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException

  `getCategory`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SoaErrorException

    public SoaErrorException(String errorCode, ResponseType responseType)
    Parameters:
      `errorCode` -
      `responseType` - the commons v1 response type

  - ### SoaErrorException

    public SoaErrorException(String errorCode, ResponseType responseType)
    Parameters:
      `errorCode` -
      `responseType` - the commons _1_0 response type

  - ### SoaErrorException

    public SoaErrorException(String errorCode, ResponseType responseType)
    Parameters:
      `errorCode` -
      `responseType` - the commons v2 response type

  - ### SoaErrorException

    public SoaErrorException(String errorCode, ErrorType errorType)
    Parameters:
      `errorCode` -
      `errorType` -

- ## Method Details

  - ### getErrorCode

    public String getErrorCode()
    Description copied from class: `ConnectorException`
    Gets the fault code.
    Overrides:
      `getErrorCode` in class `ConnectorException`
    Returns:
      the errorCode

  - ### getResponseType

    public ResponseType getResponseType()
    Returns:
      the responseType

  - ### getResponseTypeV1_0

    public ResponseType getResponseTypeV1_0()

  - ### getResponseTypeV2

    public ResponseType getResponseTypeV2()
    Returns:
      the responseTypeV1

  - ### getErrorType

    public ErrorType getErrorType()
    Returns:
      the errorType